aseqview(1)

NAME
aseqview - ALSA sequencer event viewer and filter

SYNOPSIS
aseqview [-options]

DESCRIPTION
aseqview is an ALSA sequencer user-client which works as an event viewr. It visualizes received events, e.g. note-on/off, controls, pitch wheels, using bar graphs, as often seen in many sequencer programs. Using this viewer, even a simple command line sequencer like pmidi(1) or playmidi1(1) becomes a cool one with graphical interface :-) Another feature of aseqview is redirection of events. aseqview can output the received events to subscription (or any given) ports with some modification like channel mute or pitch change. Since this works as a real-time filter client, such modifications can be applied also in real-time.

CONNECTION OF SEQUENCER PORTS

  CONNECTION VIA CONNECTION MANAGER
Just run aseqview without options:

    % aseqview

Then, connect this client to any MIDI port (e.g. 65:0) via a connection manager like aconnect(1).

    % aconnect 128:0 65:0

where 128:0 is the port of aseqview.

  DIRECT CONNECTION
Use -d option with the output MIDI port:

    % aseqview -d 65:0

Run a sequencer application (e.g. pmidi ) and connect to aseqview:

    % pmidi -p128:0 foo.mid

where 128:0 is the port of aseqview.

BUTTONS
The slider bars on the bottom are pitch and velocity scale adjustment. You can change the current pitch +/-12 tones and velociy scale from 0 to 200% in real time. The channel buttons from 0 to 15 is used to mute or unmute the channel. If you need lower latency, become root and run with -r option (or chown setuid root to this program). This changes the schedule to FIFO with maximam prority. You'll get in most cases sub-msec latency.

OPTIONS

-o, --nooutput
    Suppress output to the subscription port. With this option, aseqview works only as an event viewer.

-r, --realtime
    Set real-time priority (see above). This option is enalbed only for root.

-p, --ports #
    Set number of ports to be opened. As default 1. Each port opens a window to visualize the received events to it. Only the port 0 has control buttons like pitch change, etc.

-s, --source addr
    Set input connection client and port. The specified port is subscribed for input when the program starts. The accepted format is client:port, client.port or 's'. The last one means to use the (default) subscription port.

-d, --dest addr
    Set output connection client and port. The accepted format is as well as in -s option. As default, aseqview sends events to the subscription port, which is redirected to the attached ports by connection manager like aconnect utility. If this option is given, the events are sent only to the specified port.

-t, --thread
    Run with multi-threading. This mode is used as default.

-m, --nothread
    Run without multi-threading.

-P, --nopiano
    Don't show piano bars.

SEE ALSO
aconnect(1), pmidi(1)

AUTHOR
Takashi Iwai <tiwai@suse.de>.